<?php 

	require "config.php";
	
	require "functions.php";
	
	// REG 
	if(isset($_POST['reg-btn'])){
		
		$find = findUser($_POST['email']);
		
		if($find == 0){
			
			if($_POST['pass1'] == $_POST['pass2']){
				
				$titkos = password_hash($_POST['pass1'], PASSWORD_DEFAULT);
				
				$conn->query("INSERT INTO users VALUES(id, '$_POST[email]', '$_POST[username]', '$titkos')");
				
				Message("Sikeres regisztráció!");
				
			}
			else{
				Message("A két jelszó nem egyezik!");
			}
			
		}
		else{
			Message("Az email cím már foglalt!");
		}
		
	}
	
	// LOGIN
	if(isset($_POST['login-btn'])){
		
		$find = findUser($_POST['email']);
		
		if($find != 0){
			
			if(password_verify($_POST['password'], $find['password'])){
				
				setcookie("id", $find['id'], time()+3600,"/");
				setcookie("username", $find['username'], time()+3600,"/");
				
				header("Location: index.php");
				
			}
			else{
				Message("Helytelen jelszó!");
			}
	
		}
		else{
			Message("Nincs ilyen felhasználó!");
		}
		
	}
	

?>
<!-- JQUERY -->
<script src="http://code.jquery.com/jquery-latest.js"></script>

<h1>Bejelentkezés</h1>
<form method="post">
	<input type="email" name="email" placeholder="pelda@pelda.hu"><br><br>
	<input type="password" name="password" placeholder="Jelszó"><br><br>
	<input type="submit" name="login-btn" value="Bejelentkezés">
</form>

<hr>

<h1>Regisztráció</h1>
<form method='post'>
	<input id="email" type="email" name="email" placeholder="pelda@pelda.hu" required><br>
	<label id="emailcheck"></label><br>
	<input type="text" placeholder="Felhasználónév" name="username" required><br><br>
	<input type="password" placeholder="Jelszó" name="pass1" required><br><br>
	<input type="password" placeholder="Jelszó újra" name="pass2" required><br><br>
	<input type="submit" value="Regisztráció" name="reg-btn">
</form>
<script>

	document.getElementById("email").addEventListener('keyup', (e) => {
		
		var email = e.target.value.toLowerCase();
		$("#emailcheck").load("findemail.php?keresett="+email);
		
	});

</script>
